Update Order Status

Update workflow status (Third party->Spectrum)

Once an order has been submitted to Spectrum, the third-party can send Spectrum the workflow status for each order. This is done over HTTP as a REST API call.

PUT https://{SpectrumEnvironment}/api/order/status HTTP/1.1
SPECTRUM_API_TOKEN: {SpectrumApiToken}
Content-Type: application/json

The endpoint also accepts POST with the same payload and behavior — either verb may be used.

The available {SpectrumEnvironment} base URLs are listed in the Environments page.

LineItem Format - Required

  • purchaseOrderNumber (string)
  • lineItems (array)
  • lineItems[n] (object)
    • recipeSetReadableId (string)
    • workflowStatus (string)

Workflow Statuses

  • not-started
  • in-progress
  • in-progress-step-1
  • completed
  • revision
  • on-hold
  • approved
  • released
  • delivered
  • cancelled

LineItem Format: Example request body

{
  "purchaseOrderNumber": "HA-US-DEV00011101",
  "lineItems": [{
      "recipeSetReadableId": "ABCD1234",
      "workflowStatus": "in-progress"
    }
  ]
}

Status Codes + UpdateWorkflowStatus response payload

200 OK

The request has been accepted and all line-items have been updated.

{
    "purchaseOrderNumber": "HA-US-DEV00011101",
    "status": "OK",
    "details": "Updated workflow status for recipeSetReadableId(s): MUEMVK2U."
}

404 Not Found

The REST API can’t find one or more of the line-items. For a multiple line-item order, if any of the line-items are missing within Spectrum, no line-items in the order are updated.

{
    "purchaseOrderNumber": "HA-US-DEV00011102",
    "status": "Error",
    "details": "Unable to find recipeSetReadableId(s): MUEMVK2U."
}

500 Internal Server Error

An error occurred with the request or an internal operation.

{
    "purchaseOrderNumber": "HA-US-DEV00011103",
    "status": "Error",
    "details": "Update status for HA-US-DEV00011103 encountered an error."
}

Copyright ©2026 All rights reserved | Terms & Privacy